%-% Run Simulation %-%
clearvars

% --- Obtain simulation parameters --- 
[Params]    = setupParameters();

% --- Set up spatial grids and transforms --- 
[Transf]    = setupSpace(Params);

% Plotter.visualizeSpace(Transf)


%%
% --- Initialize --- 

mkdir(sprintf('./Data'))

[psi,V,VDk] = initialize(Params,Transf);

Observ.EVec = []; Observ.NormVec = []; Observ.PCVec = []; Observ.tVecPlot = []; Observ.mucVec = [];
t_idx = 1; %Start at t = 0;
Observ.res_idx = 1;

%%
% --- Job Settings --- 

njob = 6;

mkdir(sprintf('./Data/Run_%03i',njob))

% --- Run Simulation --- 

% Imaginary Time Evolution
[psi] = SplitStepFourierImaginaryTime(psi,Params,Transf,VDk,V,njob,t_idx,Observ);